import request from '@/utils/request'

// 查询载体建设奖补列表
export function listCarrierConstructionAward(query) {
  return request({
    url: '/system/carrierConstructionAward/list',
    method: 'get',
    params: query
  })
}

// 查询载体建设奖补详细
export function getCarrierConstructionAward(id) {
  return request({
    url: '/system/carrierConstructionAward/' + id,
    method: 'get'
  })
}

// 新增载体建设奖补
export function addCarrierConstructionAward(data) {
  return request({
    url: '/system/carrierConstructionAward',
    method: 'post',
    data: data
  })
}

// 修改载体建设奖补
export function updateCarrierConstructionAward(data) {
  return request({
    url: '/system/carrierConstructionAward',
    method: 'put',
    data: data
  })
}

// 删除载体建设奖补
export function delCarrierConstructionAward(id) {
  return request({
    url: '/system/carrierConstructionAward/' + id,
    method: 'delete'
  })
}
